scala.collection.jcl
trait SortedMapWrapper

[source: `scala/collection/jcl/SortedMapWrapper.scala`]

`` `trait` SortedMapWrapper[K, E]
  `extends` SortedMap[K, E]`with` MapWrapper[K, E]

  A sorted map that wraps an underlying Java sorted map.

Author
  Sean McDirmid

Direct Known Subclasses:
  SortedMapWrapper.Range, TreeMap

Method Summary
`protected override def` | Range (from : Option[K], until : Option[K]) : Range
`def` | compare (k0 : K, k1 : K) : Int the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.
`override def` | firstKey : K Returns the first key of the collection.
`override def` | keySet : Projection[K] return as a projection the set of keys in this collection
`override def` | lastKey : K Returns the last key of the collection.
`override abstract def` | underlying : java.util.SortedMap

Methods inherited from MapWrapper
size, isEmpty, clear, put, get, ++=, removeKey, contains, valueSet, elements, toString, hashCode, equals

Methods inherited from SortedMap
rangeImpl, projection, lense, filterKeys

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Map
keys, has, update, +, +=, -, remove, -=

Methods inherited from Map
+=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from MutableIterable
removeAll, --, -, retainOnly, retainAll, size0

Methods inherited from Sorted
hasAll

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, default, mapElements, stringPrefix

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, map, flatMap, filter, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | KeySet `extends` KeySet `with` SetWrapper[K]
`protected class` | Range (from : Option[K], until : Option[K])`extends` Range `with` SortedMapWrapper[K, E]

Method Details

`override abstract` `def` underlying : java.util.SortedMap

Overrides
  MapWrapper.underlying

`` `def` compare(k0 : K, k1 : K) : Int

  the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.

Overrides
  SortedMap.compare

`override` `def` firstKey : K

  Returns the first key of the collection.

Overrides
  SortedMap.firstKey

`override` `def` lastKey : K

  Returns the last key of the collection.

Overrides
  SortedMap.lastKey

`override` `def` keySet : Projection[K]

  return as a projection the set of keys in this collection

Overrides
  SortedMap.keySet, MapWrapper.keySet

`protected override` `def` Range(from : Option[K], until : Option[K]) : Range

Overrides
  SortedMap.Range